### Constructor

# Gtk.StringObject.new

#### Declaration [src]

    GtkStringObject*
    gtk_string_object_new (
      const char* string
    )

#### Description [src]

Wraps a string in an object for use with `GListModel`.

#### Parameters

`string` | `const char*`
| The string to wrap
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkStringObject`
a new `GtkStringObject`
Ownership of the data is transferred to the caller